ClarisWksGraphInternal::State Struct Reference documentation

ClarisWksGraphInternal::State Struct Reference

Internal: the state of a ClarisWksGraph. More...

## Public Member Functions
| State ()
| constructor
int | getOrdering () const
| returns a new ordering.

## Public Attributes
int | m_numPages
| the number of pages
MWAWVec2f | m_pageDimensions
| the page dimension if known (in point)
int | m_masterId
| the master group id ( in a draw file )
std::map< int, std::shared_ptr< Group > > | m_groupMap
| a map zoneId -> group
std::map< int, std::shared_ptr< Bitmap > > | m_bitmapMap
| a map zoneId -> group
std::map< int, std::shared_ptr< ZonePict > > | m_databaseMap
| a map zoneId -> zone
int | m_frameId
| a int used to defined linked frame
bool | m_positionsComputed
| true if the ClarisWksGraph::computePositions was called
int | m_ordering
| the last ordering used

## Detailed Description

Internal: the state of a ClarisWksGraph.

## Constructor & Destructor Documentation

## ◆ State()

ClarisWksGraphInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getOrdering()

int ClarisWksGraphInternal::State::getOrdering | ( |  | ) | const
| inline

returns a new ordering.

Note
  : the shapes seem to appear in increasing ordering, so we can use this function.

## Member Data Documentation

## ◆ m_bitmapMap

std::map<int, std::shared_ptr<Bitmap> > ClarisWksGraphInternal::State::m_bitmapMap

a map zoneId -> group

Referenced by State().

## ◆ m_databaseMap

std::map<int, std::shared_ptr<ZonePict> > ClarisWksGraphInternal::State::m_databaseMap

a map zoneId -> zone

Referenced by State().

## ◆ m_frameId

int ClarisWksGraphInternal::State::m_frameId

a int used to defined linked frame

Referenced by State().

## ◆ m_groupMap

std::map<int, std::shared_ptr<Group> > ClarisWksGraphInternal::State::m_groupMap

a map zoneId -> group

Referenced by State().

## ◆ m_masterId

int ClarisWksGraphInternal::State::m_masterId

the master group id ( in a draw file )

Referenced by State().

## ◆ m_numPages

int ClarisWksGraphInternal::State::m_numPages

the number of pages

Referenced by State().

## ◆ m_ordering

int ClarisWksGraphInternal::State::m_ordering
| mutable

the last ordering used

Referenced by getOrdering(), and State().

## ◆ m_pageDimensions

MWAWVec2f ClarisWksGraphInternal::State::m_pageDimensions

the page dimension if known (in point)

Referenced by State().

## ◆ m_positionsComputed

bool ClarisWksGraphInternal::State::m_positionsComputed

true if the ClarisWksGraph::computePositions was called

Referenced by State().

The documentation for this struct was generated from the following file:

- ClarisWksGraph.cxx